curl --request GET \
--url https://api.jup.ag/prediction/v1/markets/{marketId} \
--header 'x-api-key: <api-key>'{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": "<string>",
"eventId": "<string>",
"title": "<string>",
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"outcomes": [
"<string>"
],
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"clobTokenIds": [
"<string>"
],
"isTeamMarket": true,
"team": {},
"sportsLine": 123,
"sportsMarketType": "<string>",
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}Get Market
Get detailed market information by market ID
curl --request GET \
--url https://api.jup.ag/prediction/v1/markets/{marketId} \
--header 'x-api-key: <api-key>'{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": "<string>",
"eventId": "<string>",
"title": "<string>",
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"outcomes": [
"<string>"
],
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"clobTokenIds": [
"<string>"
],
"isTeamMarket": true,
"team": {},
"sportsLine": 123,
"sportsMarketType": "<string>",
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Market identifier
1Response
Market data
Market fields are returned flat (there is no nested metadata object).
Market identifier
Current market status
open, closed, cancelled Market result. null until resolved, then "yes" or "no"
yes, no Unix timestamp (seconds) when the market opens
Unix timestamp (seconds) when the market closes
When the market resolved. null while open; returned as an ISO 8601 string once resolved
Parent event identifier
Market data provider
polymarket, gx, bisonfi Market title
Public key of the market result account
Market image URL
Primary resolution rules
Secondary resolution rules
Outcome labels for the market
Selectable options for team or multi-outcome markets
Show child attributes
Show child attributes
Underlying CLOB token IDs (provider-specific)
True for team or sports markets
Team metadata, present for team markets
Sports line or handicap, when applicable
Sports market type, when applicable
Show child attributes
Show child attributes
Was this page helpful?
